body {
  overflow: hidden;
  width: 100%;
  height: 100%;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto Slab", serif;
  font-size: 1rem;
  font-weight: 500;
  font-style: normal;
}

.background {
  position: fixed;
  top: 0;
  right: 0;
  width: 100dvw;
  height: 100dvh;
  z-index: -5;
  filter: blur(10px);
}

.wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  width: 100dvw;
  height: 100dvh;
  flex-direction: column;
}

.container {
  display: flex;
  flex-direction: column;
  border: 5px solid white;
  border-radius: 8px;
  transition: all 0.4s linear;
}

.container:hover {
  transform: scale(1.01);
  box-shadow: 0px 2px 35px 14px rgba(13, 13, 13, 0.4);
}

.cover {
  max-width: 30rem;
  height: auto;
  display: flex;
  object-fit: cover;
}

.control {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgb(144, 138, 138);
}

.name-author {
  color: rgb(147, 206, 233);
}

.text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: white;
  text-align: center;
  margin: 5px;
  line-height: 1.5;
}

.play-color {
  filter: invert(1);
}

.btn {
  width: 52px;
  height: 52px;
  margin: 0 10px;
  text-align: center;
  cursor: pointer;
  opacity: 0.7;
  transition: all 0.4s ease-in;
}

.btn:hover {
  opacity: 1;
  transform: scale(1.1);
  filter: invert(0.8);
}

.control-btn {
  display: flex;
  padding: 5px;
}

.sidebar {
  display: flex;
  position: relative;
  align-items: center;
  width: 65%;
  height: 2.5rem;
  margin: 5px;
}

.start-time {
  color: #fff;
  position: absolute;
  left: -48px;
}

.last-time {
  color: #fff;
  position: absolute;
  right: -50px;
}

input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 10px;
  background-color: #fff;
  border-radius: 5px;
  opacity: 0.7;
  transition: all 0.4s ease-in-out;
}

input[type="range"]:hover {
  opacity: 1;
  cursor: pointer;
  transform: scale(1.05);
}

button {
  display: flex;
  all: unset;
}

.volume-img {
  width: 30px;
  height: 30px;
  text-align: center;
  margin: 10px 0 10px;
  font-weight: 500;
}

.volume-img:hover {
  cursor: pointer;
}

.volume-wrapper {
  display: flex;
  align-items: center;
}

#volume-bar {
  margin: 10px;
  width: 5rem;
}

.thumb::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  background-color: rgb(136, 176, 195);
  width: 20px;
  height: 20px;
  border-radius: 50%;
  left: 1px;
}

.footer-wrapper {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  background-color: rgb(136, 176, 195);
  width: 100dvw;
  position: absolute;
  bottom: 0;
}

.contact-link {
  text-decoration: none;
  color: black;
  padding: 10px;
  line-height: px;
}

.contact-link:hover {
  color: rgb(85, 93, 90);
}
